gnutls_pkcs11_obj_list_import_url2(3)

NAME
gnutls_pkcs11_obj_list_import_url2 - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_obj_list_import_url2(gnutls_pkcs11_obj_t ** p_list, unsigned int * n_list, const char * url, gnutls_pkcs11_obj_attr_t attrs, unsigned int flags);

ARGUMENTS

gnutls_pkcs11_obj_t ** p_list
    An uninitialized object list (may be NULL)

unsigned int * n_list
    It will contain the size of the list.

const char * url
    A PKCS 11 url identifying a set of objects

gnutls_pkcs11_obj_attr_t attrs
    Attributes of type gnutls_pkcs11_obj_attr_t that can be used to limit output

unsigned int flags
    One of GNUTLS_PKCS11_OBJ_* flags

DESCRIPTION
This function will initialize and set values to an object list by using all objects identified by the PKCS 11 URL. The output is stored in p_list , which will be initialized.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/